compact2, compact3
java.rmi.dgc

## Class Lease

- java.lang.Object
- - java.rmi.dgc.Lease

All Implemented Interfaces:
  Serializable

    public final class Lease
    extends Object
    implements Serializable

A lease contains a unique VM identifier and a lease duration. A Lease object is used to request and grant leases to remote object references.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Lease(VMID id, long duration)` Constructs a lease with a specific VMID and lease duration.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getValue()` Returns the lease duration.
`VMID` `getVMID()` Returns the client VMID associated with the lease.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lease

    public Lease(VMID id,
                 long duration)

Constructs a lease with a specific VMID and lease duration. The vmid may be null.

Parameters:
  `id` - VMID associated with this lease
  `duration` - lease duration

### Method Detail

#### getVMID

    public VMID getVMID()

Returns the client VMID associated with the lease.

Returns:
  client VMID

#### getValue

    public long getValue()

Returns the lease duration.

Returns:
  lease duration